version: "3.9"
   
services:
  db:
    image: mariadb:10.6
    volumes:
      - /mnt/ta_db:/var/lib/mysql
      - /mnt/ta_db_logs:/var/log/mysql
    environment:
      MYSQL_ROOT_PASSWORD: "123456"
      MYSQL_DATABASE: textassembler
      MYSQL_USER: ta
      MYSQL_PASSWORD: ta123
    command: ['--max-allowed-packet=32M']
    deploy:
      mode: global
      restart_policy:
        max_attempts: 5
        window: 10s
  web:
    image: ta:latest
    volumes:
      - source: /mnt/textassembler
        target: /results
        type: bind
        bind:
          propagation: rslave
    deploy:
      mode: global
      restart_policy:
        max_attempts: 5
        window: 10s
